import ButtonWidgetAnnotation from './ButtonWidgetAnnotation';

/**
 * @memberof Core.Annotations
 */
class CheckButtonWidgetAnnotation extends ButtonWidgetAnnotation {

  /**
   * A Checkbutton widget annotation.
   * @extends Core.Annotations.ButtonWidgetAnnotation
   * 
   * @param {Core.Annotations.Forms.Field} field - The field to associate with the widget
   * @param {?object} options - A map of properties to set on the widget
   */
  constructor(field, options) {
    super(options);
    this.field = field;
  }
}

export default CheckButtonWidgetAnnotation;
