import ButtonWidgetAnnotation from './ButtonWidgetAnnotation.js'

/**
 * @memberof Core.Annotations
 */
class RadioButtonWidgetAnnotation extends ButtonWidgetAnnotation {

  /**
   * A Radio button widget.
   * @extends Core.Annotations.ButtonWidgetAnnotation
   * @param {Core.Annotations.Forms.Field} field - The field to associate with the widget
   * @param {object} [options] - A map of properties to set on the widget
   */
  constructor(field, options) {
    super(field, options);
  }
}

export default RadioButtonWidgetAnnotation;
