import BoxSelectionModel from './BoxSelectionModel';

/**
 * A selection model based on the annotation's bounding box. This is used for free text annotations.
 * @memberof Core.Annotations
 */
class FreeTextSelectionModel extends BoxSelectionModel {
  constructor(annotation, canModify, isSelected) {
    super(annotation, canModify, isSelected);
  }
}

export default FreeTextSelectionModel;
