import SelectionModel from './SelectionModel';

/**
 * A selection model for Text annotation.
 * @memberof Core.Annotations
 */
class TextSelectionModel extends SelectionModel {

  /**
   * Creates a text selection model.
   * @param {Core.Annotations.Annotation} annotation - the annotation
   * @param {boolean} canModify - indicates if the annotation can be modified
   */
  constructor(annotation, canModify) {
    super(annotation, canModify);
  }
}

export default TextSelectionModel;
