const documentViewerEvent = {
  ACTIVE_SEARCH_RESULT_CHANGED: "activeSearchResultChanged",
  SEARCH_RESULTS_CHANGED: "searchResultsChanged",
  MOUSE_LEFT_UP: "mouseLeftUp",
  MOUSE_LEFT_DOWN: "mouseLeftDown",
  CLICK: "click",
  TAP: "tap",
  LONG_TAP: "longTap",
  DBL_CLICK: "dblClick",
  KEY_DOWN: "keyDown",
  KEY_UP: "keyUp",
  MOUSE_ENTER: "mouseEnter",
  MOUSE_MOVE: "mouseMove",
  MOUSE_LEAVE: "mouseLeave",
  MOUSE_RIGHT_DOWN: "mouseRightDown",
  MOUSE_RIGHT_UP: "mouseRightUp",
  DOCUMENT_UNLOADED: "documentUnloaded",
  ANNOTATIONS_LOADED: "annotationsLoaded",
  BEFORE_DOCUMENT_LOADED: "beforeDocumentLoaded",
  DOCUMENT_LOADED: "documentLoaded",
  DISPLAY_PAGE_LOCATION: "displayPageLocation",
  NOTIFY: "notify",
  SEARCH_IN_PROGRESS: "searchInProgress",
  TEXT_SELECTED: "textSelected",
  TOOL_MODE_UPDATED: "toolModeUpdated",
  FIT_MODE_UPDATED: "fitModeUpdated",
  ROTATION_UPDATED: "rotationUpdated",
  ZOOM_UPDATED: "zoomUpdated",
  PAGE_NUMBER_UPDATED: "pageNumberUpdated",
  PAGES_UPDATED: "pagesUpdated",
  PAGE_COMPLETE: "pageComplete",
  DISPLAY_MODE_UPDATED: "displayModeUpdated",
  BEGIN_RENDERING: "beginRendering",
  FINISHED_RENDERING: "finishedRendering",
  CLIENT_SIDE_DOCUMENT_LOADED: "clientSideDocumentLoaded",
  TOOL_UPDATED: "toolUpdated",
  EMBEDDED_THUMBNAIL_COMPLETE: "embeddedThumbnailComplete",
  READ_ONLY_MODE_CHANGED: "readOnlyModeChanged",
  EMBEDDED_POP_UP_MENU: "embeddedPopUpMenu",
  COMPARE_ANNOTATIONS_LOADED: "compareAnnotationsLoaded",
  SNAP_MODE_INITIALIZED: "snapModeInitialized",
  BEFORE_SNAP_MODE_INITIALIZED: "beforeSnapModeInitialized",
}

export default documentViewerEvent
